Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.runtime
Class NonCompetingClusteredServer

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.runtime.NonCompetingClusteredServer

All Implemented Interfaces:
  ServerInterface, TimerContext

    public abstract class NonCompetingClusteredServer

extends ClusteredServer

A NonCompetingClusteredServer is a ClusteredServer that does not compete with instances running in other nodes.

(Unpublished)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`NonCompetingClusteredServer()` Constructs a NonCompetingClusteredServer.

Method Summary
`protected java.lang.String` | `deriveAgentIdentifier()` Determines the value to use as the agent identifier for this server.
`protected java.lang.String` | `deriveRunningServerIdentifier()` Derives the string used to identify a running server.
`protected boolean` | `isTokenNonCompeting()` Returns indication as to whether the server token is non-competing.

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, handleResumeRequest, handleStopRequest, handleSuspendRequest, handleTimerExpired, isTimerActive, postRequest, postRun, preRun, processEvent, processEvents, queueEvent, resetTimer, restart, resume, run, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, initialize, isAgent, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, supportsSuspendResume, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonCompetingClusteredServer

    public NonCompetingClusteredServer()
                                throws IfsException

  Constructs a NonCompetingClusteredServer.

  Throws:
    `IfsException` - if the operation fails

Method Detail

### deriveAgentIdentifier

    protected java.lang.String deriveAgentIdentifier()
                                              throws IfsException

  Description copied from class: `NonCompetingClusteredServer`
  Determines the value to use as the agent identifier for this server.

  The default implementation in this class uses the unqualified name of the agent prefixed with "IFS.AGENT.INTERNAL.". For example, "IFS.AGENT.INTERNAL.CleanupAgent".

  Can be overridden by subclasses that wish to use a different value.

  Overrides:
    `deriveAgentIdentifier` in class `ClusteredServer`
  Returns:
    the agent identifier to use
  Throws:
    `IfsException` - if the operation fails

### deriveRunningServerIdentifier

    protected java.lang.String deriveRunningServerIdentifier()
                                                      throws IfsException

  Description copied from class: `NonCompetingClusteredServer`
  Derives the string used to identify a running server.

  By default, it is a composite of the agent identifier and the running node identifer, e.g. "IFS.AGENT.INTERNAL.CleanupAgent:stadc35_node1:9461928".

  Overrides:
    `deriveRunningServerIdentifier` in class `ClusteredServer`
  Returns:
    the running server identifier to use
  Throws:
    `IfsException` - if the operation fails

### isTokenNonCompeting

    protected boolean isTokenNonCompeting()
                                   throws IfsException

  Description copied from class: `NonCompetingClusteredServer`
  Returns indication as to whether the server token is non-competing.

  A non-competing token is one that always assumes a Primary registration type, and always attempts to free the ApplicationToken upon unregistration.

  Overrides:
    `isTokenNonCompeting` in class `ClusteredServer`
  Returns:
    true if token is non-competing; false otherwise
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD